<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.ReadOnly Property
BaseDatabase Class See Also

If true, this database has been opened for reading only. Any attempt to modify items in the database will fail, regardless of the actual permissions of any underlying files.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool ReadOnly { get; }

Visual Basic (Declaration)

    Public ReadOnly Property ReadOnly As Boolean

Visual C++

    public:
    property bool ReadOnly {
    	bool get ();
    }

# See Also

BaseDatabase Class
BerkeleyDB Namespace